/* SimCamacAdc.kts */
/* Created by Enomoto Sanshiro on 9 May 2001 */
/* Last updated by Enomoto Sanshiro on 9 May 2001. */


datasource CamacAdc
{
    int readout_channels = #0..#15;

    SoftwareModule adc("PmtSimulator");
    SoftwareModule timer("IntervalTimer");

    on run_begin {
        timer.setInterval(0, 10000);
    }

    on trigger(timer) {
        adc.read(readout_channels);
        adc.clear();
    }
}
