/* KumaDefs.cc */
/* Created by Enomoto Sanshiro on 11 October 2003. */
/* Last updated by Enomoto Sanshiro on 11 October 2003. */


#include <iostream>
#include <string>
#include "KumaDefs.hh"

using namespace std;
using namespace kuma;


TKumaException::TKumaException(string Message) 
{
    _Message = Message;
}

TKumaException::TKumaException(string Location, string Message) 
{
    _Message = Location + string(": ") + Message;
}

TKumaException::TKumaException(const TKumaException &e) 
{
    _Message = e._Message;
}    

string TKumaException::Message(void) const
{
    return _Message;
}

ostream& kuma::operator<< (ostream &os, const TKumaException &e) 
{
    return os << e._Message;
}
