/* controller-Kek_Camlib.hh */
/* Created by Enomoto Sanshiro on 23 October 1997. */
/* Last updated by Enomoto Sanshiro on 8 July 2001. */


// ***************************************** //
//  THIS CODE IS NOT MAINTAINED. DO NOT USE. //
// ***************************************** //


#ifndef __Kek_controller_Camlib_hh__
#define __Kek_controller_Camlib_hh__


#include "RoomCamacAccess.hh" 


class TCamacController_Kek_Camlib: public TRoomCamacController {
  public:
    TCamacController_Kek_Camlib(void);
    virtual ~TCamacController_Kek_Camlib();
    virtual TRoomCamacController* CloneController(void);
    virtual void Open(void) throw(THardwareException);
    virtual void Close(void);
  public:
    virtual int Transact(int StationNumber, int Function, int Address, int &Data, int &Q, int &X) throw(THardwareException);
    virtual int Initialize(void) throw(THardwareException);
    virtual int Clear(void) throw(THardwareException);
    virtual int SetInhibit(void) throw(THardwareException);
    virtual int ReleaseInhibit(void) throw(THardwareException);
    virtual int EnableInterruptNotification(void) throw(THardwareException);
    virtual int DisableInterruptNotification(void) throw(THardwareException);
    virtual int ReadLam(int LamMask) throw(THardwareException);
    virtual int WaitLam(int TimeLimit) throw(THardwareException);
  private:
    int _IsOpened;
    int _IsInterruptNotificationEnabled;
};

#endif
