/* KinokoCanvasPictureObject.hh */
/* Created by Enomoto Sanshiro on 11 July 2000. */
/* Last updated by Enomoto Sanshiro on 9 January 2002. */


#ifndef __KinokoCanvasPictureObject_hh
#define __KinokoCanvasPictureObject_hh


#include <string>
#include <iostream>
#include "KinokoCanvasFramedObject.hh"


class TKinokoCanvasPictureObject: public TKinokoCanvasFramedObject {
  public:
    TKinokoCanvasPictureObject(TKinokoCanvas* Canvas, TKinokoCanvasImageArea* ImageArea);
    virtual ~TKinokoCanvasPictureObject();
    virtual TKinokoShellObject* Clone(void);
    virtual void Initialize(void);
  protected:
    virtual float CanvasXOf(float x);
    virtual float CanvasYOf(float y);
};


#endif
