# killoff.pl
# Created by Sanshiro Enomoto on 21 October 2001.
# Last updated by Sanshiro Enomoto on 21 October 2000.


if (scalar(@ARGV) == 1) {
    ($search_word) = @ARGV;
    $signal_name = "TERM";
}
elsif (scalar(@ARGV) == 2) {
    ($signal_name, $search_word) = @ARGV;
    if ($signal_name =~ /^-+([\S]+)$/) {
        $signal_name = $1;
    }
}
else {
    die "Usage: killoff [signal_name] search_word\n";
}

open PS_LIST, "ps -ef | grep $search_word |";

while (<PS_LIST>) {
    if (/killoff/ or /grep/) {
        next;
    }

    print;
    $pid = (split)[1];
    @pid_list = (@pid_list, $pid);
}

if (scalar(@pid_list) == 0) {
    exit;
}

print "commit? (y/n) > ";
$dicision = getc;

if ($dicision eq "y") {
    foreach $pid (@pid_list) {
        print "kill -$signal_name $pid\n";
	kill $signal_name, $pid;
    }
}
